Change log for exiv2 package in Ubuntu

157 of 57 results
Published in disco-release on 2019-01-24
Deleted in disco-proposed (Reason: moved to release)
exiv2 (0.25-4ubuntu1) disco; urgency=medium

   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-11591.patch: fix in
       include/exiv2/value.hpp.
     - CVE-2017-11591
   * SECURITY UPDATE: Remote denial of service
     - debian/patches/CVE-2017-11683.patch: fix in
       src/tiffvisitor.cpp.
     - CVE-2017-11683
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-14859_14862_14864.patch: fix in
       src/error.cpp, src/tiffvisitor.cpp.
     - CVE-2017-14859
     - CVE-2017-14862
     - CVE-2017-14864
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-17669.patch: fix in
       src/pngchunk.cpp.
     - CVE-2017-17669
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2018-17581.patch: fix in
       src/crwimage.cpp.
     - CVE-2018-17581
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-16336.patch: fix in
       src/pngchunk.cpp.
     - CVE-2018-16336
  * Minor fix related to CVE-2018-10958_10999 in src/pngchunk.cpp.

 -- <email address hidden> (Leonidas S. Barbosa)  Thu, 24 Jan 2019 13:15:19 -0300
Published in cosmic-updates on 2019-01-10
Published in cosmic-security on 2019-01-10
exiv2 (0.25-4ubuntu0.1) cosmic-security; urgency=medium

   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-11591.patch: fix in
       include/exiv2/value.hpp.
     - CVE-2017-11591
   * SECURITY UPDATE: Remote denial of service
     - debian/patches/CVE-2017-11683.patch: fix in
       src/tiffvisitor.cpp.
     - CVE-2017-11683
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-14859_14862_14864.patch: fix in
       src/error.cpp, src/tiffvisitor.cpp.
     - CVE-2017-14859
     - CVE-2017-14862
     - CVE-2017-14864
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-17669.patch: fix in
       src/pngchunk.cpp.
     - CVE-2017-17669
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2018-17581.patch: fix in
       src/crwimage.cpp.
     - CVE-2018-17581
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-16336*.patch: fix in
       src/pngchunk.cpp.
     - CVE-2018-16336
  * Minor fix related to CVE-2018-10958_10999 in src/pngchunk.cpp.

 -- <email address hidden> (Leonidas S. Barbosa)  Wed, 09 Jan 2019 10:55:29 -0300
Published in bionic-updates on 2019-01-10
Published in bionic-security on 2019-01-10
exiv2 (0.25-3.1ubuntu0.18.04.2) bionic-security; urgency=medium

   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-11591.patch: fix in
       include/exiv2/value.hpp.
     - CVE-2017-11591
   * SECURITY UPDATE: Remote denial of service
     - debian/patches/CVE-2017-11683.patch: fix in
       src/tiffvisitor.cpp.
     - CVE-2017-11683
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-14859_14862_14864.patch: fix in
       src/error.cpp, src/tiffvisitor.cpp.
     - CVE-2017-14859
     - CVE-2017-14862
     - CVE-2017-14864
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-17669.patch: fix in
       src/pngchunk.cpp.
     - CVE-2017-17669
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2018-17581.patch: fix in
       src/crwimage.cpp.
     - CVE-2018-17581
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-16336*.patch: fix in
       src/pngchunk.cpp.
     - CVE-2018-16336
  * Minor fix related to CVE-2018-10958_10999 in src/pngchunk.cpp.

 -- <email address hidden> (Leonidas S. Barbosa)  Wed, 09 Jan 2019 09:23:30 -0300
Published in xenial-updates on 2019-01-10
Published in xenial-security on 2019-01-10
exiv2 (0.25-2.1ubuntu16.04.3) xenial-security; urgency=medium

   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-11591.patch: fix in
       include/exiv2/value.hpp.
     - CVE-2017-11591
   * SECURITY UPDATE: Remote denial of service
     - debian/patches/CVE-2017-11683.patch: fix in
       src/tiffvisitor.cpp.
     - CVE-2017-11683
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-14859_14862_14864.patch: fix in
       src/error.cpp, src/tiffvisitor.cpp.
     - CVE-2017-14859
     - CVE-2017-14862
     - CVE-2017-14864
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-17669.patch: fix in
       src/pngchunk.cpp.
     - CVE-2017-17669
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-9239.patch: fix in
       src/tiffcomposite.cpp.
     - CVE-2017-9239
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2018-17581.patch: fix in
       src/crwimage.cpp.
     - CVE-2018-17581
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-16336*.patch: fix in
       src/pngchunk.cpp.
     - CVE-2018-16336
  * Minor fix related to CVE-2018-10958_10999 in src/pngchunk.cpp.

 -- <email address hidden> (Leonidas S. Barbosa)  Tue, 08 Jan 2019 14:58:44 -0300
Published in trusty-updates on 2019-01-10
Published in trusty-security on 2019-01-10
exiv2 (0.23-1ubuntu2.2) trusty-security; urgency=medium

   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-11591.patch: fix in
       src/value.hpp.
     - CVE-2017-11591
   * SECURITY UPDATE: Remote denial of service
     - debian/patches/CVE-2017-11683.patch: fix in
       src/tiffvisitor.cpp.
     - CVE-2017-11683
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-14859_14862_14864.patch: fix in
       src/error.cpp, src/tiffvisitor.cpp.
     - CVE-2017-14859
     - CVE-2017-14862
     - CVE-2017-14864
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-17669.patch: fix in
       src/pngchunk.cpp.
     - CVE-2017-17669
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-9239.patch: fix in
       src/tiffcomposite.cpp.
     - CVE-2017-9239
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2018-17581.patch: fix in
       src/crwimage.cpp.
     - CVE-2018-17581
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-16336*.patch: fix in
       src/pngchunk.cpp.
     - CVE-2018-16336
  * Minor fix related to CVE-2018-10958_10999 in src/pngchunk.cpp.

 -- <email address hidden> (Leonidas S. Barbosa)  Tue, 08 Jan 2019 13:38:56 -0300
Published in artful-updates on 2018-07-03
Published in artful-security on 2018-07-03
exiv2 (0.25-3.1ubuntu0.17.10.1) artful-security; urgency=medium

  * SECURITY UPDATE: denial of service through memory exhaustion
    and a heap-based buffer over-read
    - debian/patches/CVE-2018-10958_10999*.patch
    - CVE-2018-10958
    - CVE-2018-10999
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-10998.patch
    - CVE-2018-10998
  * SECURITY UPDATE: Heap-based buffer overflow
    - debian/patches/CVE-2018-11531*.patch
    - CVE-2018-11531
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-12264.patch
    - CVE-2018-12264
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-12265*.patch
    - CVE-2018-12265

 -- <email address hidden> (Leonidas S. Barbosa)  Fri, 29 Jun 2018 10:40:41 -0300
Superseded in bionic-updates on 2019-01-10
Superseded in bionic-security on 2019-01-10
exiv2 (0.25-3.1ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: denial of service through memory exhaustion
    and a heap-based buffer over-read
    - debian/patches/CVE-2018-10958_10999*.patch
    - CVE-2018-10958
    - CVE-2018-10999
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-10998.patch
    - CVE-2018-10998
  * SECURITY UPDATE: Heap-based buffer overflow
    - debian/patches/CVE-2018-11531*.patch
    - CVE-2018-11531
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-12264.patch
    - CVE-2018-12264
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-12265*.patch
    - CVE-2018-12265

 -- <email address hidden> (Leonidas S. Barbosa)  Fri, 29 Jun 2018 10:53:30 -0300
Superseded in xenial-updates on 2019-01-10
Superseded in xenial-security on 2019-01-10
exiv2 (0.25-2.1ubuntu16.04.2) xenial-security; urgency=medium

  * SECURITY UPDATE: denial of service through memory exhaustion
    and a heap-based buffer over-read
    - debian/patches/CVE-2018-10958_10999*.patch
    - CVE-2018-10958
    - CVE-2018-10999
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-10998.patch
    - CVE-2018-10998
  * SECURITY UPDATE: Heap-based buffer overflow
    - debian/patches/CVE-2018-11531*.patch
    - CVE-2018-11531
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-12264.patch
    - CVE-2018-12264
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-12265*.patch
    - CVE-2018-12265

 -- <email address hidden> (Leonidas S. Barbosa)  Fri, 29 Jun 2018 10:31:21 -0300
Superseded in trusty-updates on 2019-01-10
Superseded in trusty-security on 2019-01-10
exiv2 (0.23-1ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service through memory exhaustion
    and a heap-based buffer over-read
    - debian/patches/CVE-2018-10958_10999*.patch
    - CVE-2018-10958
    - CVE-2018-10999
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-10998.patch
    - CVE-2018-10998
  * SECURITY UPDATE: Heap-based buffer overflow
    - debian/patches/CVE-2018-11531*.patch
    - CVE-2018-11531
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-12264.patch
    - CVE-2018-12264
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-12265*.patch
    - CVE-2018-12265

 -- <email address hidden> (Leonidas S. Barbosa)  Fri, 29 Jun 2018 10:20:45 -0300
Superseded in disco-release on 2019-01-24
Published in cosmic-release on 2018-06-29
Deleted in cosmic-proposed (Reason: moved to release)
exiv2 (0.25-4) unstable; urgency=medium

  [ Roberto C. Sanchez ]
  * CVE-2018-10958: denial of service through memory exhaustion and
    application crash by a crafted PNG image.
  * CVE-2018-10999: a heap-based buffer over-read via a crafted PNG image.
  * CVE-2018-10998: denial of service through memory exhaustion and
    application crash by a crafted image.
  * CVE-2018-11531: a heap-based buffer overflow and application crash by a
    crafted image.
  * CVE-2018-12264: integer overflow leading to out of bounds read by a
    crafted image. (Closes: #901707)
  * CVE-2018-12265: integer overflow leading to out of bounds read by a
    crafted image. (Closes: #901706)

  [ Maximiliano Curia ]
  * Bump debhelper build-dep and compat to 11
  * Bump to Standards-Version 4.1.4
  * Update Vcs fields
  * Migrate to automatic dbgsym packages
  * Drop parallel and autotools_dev from dh call
  * Update watch file
  * Release to unstable

 -- Maximiliano Curia <email address hidden>  Thu, 28 Jun 2018 18:05:24 +0200

Available diffs

Superseded in cosmic-release on 2018-06-29
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-06-06
Deleted in artful-proposed (Reason: moved to release)
exiv2 (0.25-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2017-9239 (Closes: #863410)

 -- Moritz Muehlenhoff <email address hidden>  Mon, 05 Jun 2017 22:42:20 +0200

Available diffs

Superseded in xenial-updates on 2018-07-03
Deleted in xenial-proposed on 2018-07-04 (Reason: moved to -updates)
exiv2 (0.25-2.1ubuntu16.04.1) xenial; urgency=medium

  * SRU 0.25-3 to Ubuntu xenial (LP: #1584853)

  [ Norbert Preining ]
  * Fix crashes on Casio images files (upstream cherry pick) (Closes: #814051)
  * mention XMP in the description (Closes: #790784)

 -- Gianfranco Costamagna <email address hidden>  Tue, 28 Feb 2017 12:17:15 +0100
Superseded in artful-release on 2017-06-06
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-06-22 (Reason: moved to release)
exiv2 (0.25-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Fix crashes on Casio images files (upstream cherry pick) (Closes: #814051)
  * mention XMP in the description (Closes: #790784)

 -- Norbert Preining <email address hidden>  Tue, 17 May 2016 23:08:21 +0900

Available diffs

Superseded in yakkety-release on 2016-05-20
Published in xenial-release on 2015-10-31
Deleted in xenial-proposed (Reason: moved to release)
exiv2 (0.25-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix symbol files for amd64/mips64el/sparc64/sh4 (Closes: #799611).

 -- YunQiang Su <email address hidden>  Thu, 08 Oct 2015 14:39:02 +0800
Superseded in xenial-release on 2015-10-31
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
exiv2 (0.25-1ubuntu1) wily; urgency=medium

  * Temporarily drop the broken .symbols file. It was just introduced in
    0.25.1, but needs to be adjusted for all architectures.

 -- Martin Pitt <email address hidden>  Wed, 05 Aug 2015 16:59:51 +0200
Superseded in wily-proposed on 2015-08-05
exiv2 (0.25-1) unstable; urgency=medium

  [ Pino Toscano ]
  * libexiv2-dev: stop again depending on pkg-config, as this is no more
    needed now (for real this time).

  [ Maximiliano Curia ]
  * New upstream release (0.25). (Closes: #789956)
  * Refresh patch: libtool_update.diff
  * Remove upstream applied patch: CVE-2014-9449.patch
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.

 -- Martin Pitt <email address hidden>  Wed, 05 Aug 2015 13:07:18 +0200
Superseded in wily-proposed on 2015-08-05
exiv2 (0.24-4.1ubuntu1~gcc5) wily; urgency=medium

  * Renamed library for gcc5 transition (Closes: #791030)

 -- Martin Pitt <email address hidden>  Thu, 30 Jul 2015 12:46:17 +0200
Superseded in wily-release on 2015-08-16
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
exiv2 (0.24-4.1) unstable; urgency=medium


  * Non-maintainer upload.
  * Add CVE-2014-9449.patch patch.
    CVE-2014-9449: buffer overflow in RiffVideo::infoTagsHandler
    Thanks to Klaus Ethgen <email address hidden> (Closes: #773846)

 -- Salvatore Bonaccorso <email address hidden>  Wed, 07 Jan 2015 20:25:48 +0100
Obsolete in utopic-updates on 2016-11-03
Obsolete in utopic-security on 2016-11-03
exiv2 (0.24-2ubuntu1.1) utopic-security; urgency=medium

  * SECURITY UPDATE: denial of service via buffer overflow
    - debian/patches/CVE-2014-9449.patch: fix overflow in
      src/riffvideo.cpp.
    - CVE-2014-9449
 -- Marc Deslauriers <email address hidden>   Mon, 05 Jan 2015 12:12:02 -0500
Superseded in vivid-release on 2015-03-20
Deleted in vivid-proposed on 2015-03-21 (Reason: moved to release)
exiv2 (0.24-4ubuntu1) vivid; urgency=medium

  * SECURITY UPDATE: denial of service via buffer overflow
    - debian/patches/CVE-2014-9449.patch: fix overflow in
      src/riffvideo.cpp.
    - CVE-2014-9449
 -- Marc Deslauriers <email address hidden>   Mon, 05 Jan 2015 12:06:10 -0500
Superseded in vivid-release on 2015-01-05
Deleted in vivid-proposed on 2015-01-07 (Reason: moved to release)
exiv2 (0.24-4) unstable; urgency=medium


  * Team upload.
  * Upload to unstable. (See #732957)
  * Re-add the pkg-config dependency in libexiv2-dev, as there is still one
    source relying on it.

 -- Pino Toscano <email address hidden>  Fri, 05 Sep 2014 23:22:40 +0200
Superseded in vivid-release on 2014-11-17
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
exiv2 (0.24-2ubuntu1) utopic; urgency=medium

  * Rebase on Debian, remaining Ubuntu changes: (LP: #1269181)
  * debian/patches/libtool-ppc64el.diff:
    - Apply libtool patch for powerpc*le-linux support, copied from libtool
      2.4.2-1.3ubuntu2.
  * debian/patches/config-updates.diff:
    - Update config.{guess,sub} for AArch64.
 -- Robert Ancell <email address hidden>   Fri, 04 Jul 2014 11:46:22 +1200

Available diffs

Superseded in utopic-release on 2014-07-29
Published in trusty-release on 2013-12-17
Deleted in trusty-proposed (Reason: moved to release)
exiv2 (0.23-1ubuntu2) trusty; urgency=low

  * Apply libtool patch for powerpc*le-linux support, copied from libtool
    2.4.2-1.3ubuntu2.
 -- Colin Watson <email address hidden>   Tue, 17 Dec 2013 11:57:20 +0000

Available diffs

Superseded in trusty-release on 2013-12-17
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
exiv2 (0.23-1ubuntu1) saucy; urgency=low

  * Update config.{guess,sub} for AArch64.
 -- Matthias Klose <email address hidden>   Wed, 09 Oct 2013 20:14:39 +0200
Superseded in saucy-release on 2013-10-09
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
exiv2 (0.23-1) unstable; urgency=low


  * New upstream release
    - Fixes "Support for .cr2 RAW files" (Closes: #665736)
  * NEW package libexiv2-12 - match soname
  * Drop spelling-error-in-binary.diff - included upstream
  * Drop spelling-error-in-manpage.diff - included upstream
  * Upload to unstable - coordinated through debian release
    - Fixes "please package 0.21 or newer to unstable" (Closes: #650516)
  * Update to Standard 3.9.3 - no changes necessary

 -- Mark Purcell <email address hidden>  Sat, 05 May 2012 09:31:28 +1000

Available diffs

Superseded in quantal-release on 2012-05-11
Published in precise-release on 2012-02-22
exiv2 (0.22-2) experimental; urgency=low


  * dh_auto_configure  $(shell dpkg-buildflags --export=configure)
    - Fixes "Please enabled hardened build flags" (Closes: #656356)
  * dh-linktree - fixes libexiv2-doc: embedded-javascript-library
  * Update debian/copyright GPL-2 -  copyright-refers-to-symlink-license
  * Fix spelling-error-in-manpage exiv2.1.gz explicitely explicitly
  * Fix spelling-error-in-binary
  * Switch to dh_bugfiles
  * Add samples/ to libexiv2-doc/examples
  * Fixed "Lib not recommend exiv2" changes to Suggests: (Closes: #615137)

 -- Mark Purcell <email address hidden>  Wed, 25 Jan 2012 07:16:15 +1100

Available diffs

Superseded in precise-release on 2012-02-22
exiv2 (0.22-1) experimental; urgency=low


  * New upstream release
  * NEW Package libexiv2-11 - soname bump
  * Drop usr/lib/libexiv2.la non-empty-dependency_libs-in-la-file
  * Ack NMU, Thanks Luk (Closes: #618747)

 -- Mark Purcell <email address hidden>  Sat, 24 Sep 2011 14:28:30 +1000
Superseded in precise-release on 2011-10-24
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
exiv2 (0.21.1-0ubuntu2) natty; urgency=low

  * debian/rules: delete the content of dependency_libs in la file to avoid
    having to rebuild this package if the path of the libs changes. This fixes
    also FTBFS in packages that b-d on libexiv2-dev because of incorrect
    reference of libexpat.la. (LP: #737340)
 -- Fabrice Coutadeur <email address hidden>   Fri, 18 Mar 2011 05:17:26 +0000

Available diffs

Superseded in natty-release on 2011-03-18
exiv2 (0.21.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/01_multiple_tags.patch:
    - Applied upstream
 -- Robert Ancell <email address hidden>   Tue, 15 Feb 2011 11:32:10 +1100

Available diffs

Superseded in natty-release on 2011-02-15
exiv2 (0.21-0ubuntu2) natty; urgency=low

  * debian/patches/01_multiple_tags.patch:
    - Fix crash with multiple tags
 -- Robert Ancell <email address hidden>   Wed, 02 Feb 2011 09:29:11 +1100

Available diffs

Superseded in natty-release on 2011-02-01
exiv2 (0.21-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Add Vcs-Bzr link
    - Use standards version 3.9.1
    - Rename libexiv2-9 to libexiv2-10
 -- Robert Ancell <email address hidden>   Fri, 07 Jan 2011 09:54:22 +1100

Available diffs

Superseded in natty-release on 2011-01-07
exiv2 (0.20-2) unstable; urgency=low

  * Upload to unstable - cleared with debian-release

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
exiv2 (0.19-3) unstable; urgency=low

  * Drop upstream Nikon fixes; partial patch breaks image display
    - Reopen: #579835 - not fixed
    - changeset 2017-2020 

Available diffs

Superseded in maverick-release on 2010-06-15
Obsolete in lucid-release on 2016-10-26
exiv2 (0.19-1) unstable; urgency=low

  * New upstream release 
    - TIFF performance improvement and Nikon updates
  * NEW package libexiv2-6 - soname bump
 -- Luka Renko <email address hidden>   Tue,  05 Jan 2010 10:15:30 +0000

Available diffs

Superseded in lucid-release on 2010-01-05
Obsolete in karmic-release on 2013-03-04
exiv2 (0.18.2-1) unstable; urgency=low

  * New upstream release

  [Ryan Kavanagh]

  * Add lintian overrides:
    - libexiv2-dev: extended-description-is-probably-too-short
  * Fix a typo in README.Debian (s/enviroment/environment/)
  * Fix hyphens as minus signs in the manpage, 00_hyphens_used_as_minus.diff

  [Fathi Boudra]

  * Bump Standards-Version from 3.8.1 to 3.8.2 (no changes needed)
  * Add quilt build dependency
  * Remove cdbs build dependency - use dh and rewrite debian/rules

 -- Alessandro Ghersi <email address hidden>   Thu,  03 Sep 2009 16:27:44 +0100

Available diffs

Superseded in karmic-release on 2009-09-03
exiv2 (0.18.1-1) unstable; urgency=low

  * New upstream release
    - (Closes: #525535): "[libexiv2-5] New upstream version 0.18.1"
    - write-support for Adobe Photoshop PSD images
    - read-support for Panasonic RW2 images
    - Panasonic and Nikon makernote update
  * Upload to unstable - discussed on debian-release
    - libexiv2-5 library transition
  * Fix: package-lacks-versioned-build-depends-on-debhelper
  * Add ${misc:Depends}

 -- Muharem Hrnjadovic <email address hidden>   Fri,  05 Jun 2009 16:45:03 +0100

Available diffs

Superseded in karmic-release on 2009-06-05
Obsolete in jaunty-release on 2013-02-28
exiv2 (0.18-1ubuntu1) jaunty; urgency=low

  * Fix count of makernote tag; caused crashes with with certain files. Patch
    taken from upstream svn; applied inline. (LP: #358576)
    - http://dev.exiv2.org/repositories/revision/exiv2/1743
    - Modifies:
      + src/tiffcomposite.cpp
  * Check for empty buffer before read; caused crashes with some png files.
    Patch taken from upstream svn; applied inline.
    - http://dev.exiv2.org/repositories/revision/exiv2/1763
    - Modifies:
      + src/pngchunk.cpp

 -- Andreas Wenning <email address hidden>   Sun, 19 Apr 2009 16:34:23 +0200

Available diffs

Superseded in jaunty-release on 2009-04-19
exiv2 (0.18-1) experimental; urgency=low

  * New upstream release
    - Fix "Setting "Exif.Image.DateTime Date" gives "Value too large"
    exception" <explain what you changed and why> (Closes: #426274)
    - Fix "FTBFS with GCC 4.4: missing #include" <explain what you changed
    and why> (Closes: #505023)

Available diffs

Superseded in jaunty-release on 2009-03-17
exiv2 (0.17.1-1) unstable; urgency=medium

  * New upstream release
    - Library transition cleared on debian-release/ d-d-a
  * Version 0.17 also fixes:
    - CVE-2008-2696: DoS via metadata in images (Closes: #486328)
    - crashes when fed with wrong file (Closes: #485670)
  * Urgency medium for CVE fix
  * debian/patches/gcc4.3.diff unecessary for gcc-4.3
  * Add /usr/share/bug/exiv2/presubj message for reportbug(1)

 -- Jonathan Riddell <email address hidden>   Thu,  20 Nov 2008 13:00:58 +0000

Available diffs

Obsolete in gutsy-updates on 2011-09-16
Obsolete in gutsy-security on 2011-09-16
exiv2 (0.15-1ubuntu2.1) gutsy-security; urgency=low

  * SECURITY UPDATE: crash with invalid EXIF lense information.
    - Add security-01_nikon_floating_crash.diff: fix from upstream.
    - CVE-2008-2696
  * SECURITY UPDATE: crash with invalid EXIF headers.
    - Add security-02_exif_crashes.diff: fix from upstream.
    - CVE-2007-6353

 -- Kees Cook <email address hidden>   Tue, 14 Oct 2008 16:26:59 -0700

Available diffs

Obsolete in hardy-updates on 2015-04-24
Obsolete in hardy-security on 2015-04-24
exiv2 (0.16-3ubuntu1.1) hardy-security; urgency=low

  * SECURITY UPDATE: crash with invalid EXIF lense information.
    - Add 02_nikon_floating_crash.diff: fix from upstream.
    - CVE-2008-2696

 -- Kees Cook <email address hidden>   Tue, 14 Oct 2008 16:07:07 -0700

Available diffs

Obsolete in feisty-updates on 2009-08-20
Obsolete in feisty-security on 2009-08-20
exiv2 (0.12-0ubuntu2.1) feisty-security; urgency=low

  * SECURITY UPDATE: crash with invalid EXIF lense information.
    - src/nikonmn.cpp: backported fix from upstream,
      http://dev.robotbattle.com/cgi-bin/viewvc.cgi/exiv2/trunk/src/nikonmn.cpp?r1=1398&r2=1399
    - CVE-2008-2696
  * SECURITY UPDATE: crash with invalid EXIF headers.
    - src/exif.cpp: backported fix from upstream,
      http://dev.robotbattle.com/cgi-bin/viewvc.cgi/exiv2/trunk/src/exif.cpp?r1=1231&r2=1346&pathrev=1346
    - CVE-2007-6353

 -- Kees Cook <email address hidden>   Tue, 14 Oct 2008 16:31:51 -0700

Available diffs

Superseded in jaunty-release on 2008-11-20
Obsolete in intrepid-release on 2013-02-20
exiv2 (0.17-1ubuntu1) intrepid; urgency=low

  * Merge with Debian, no remaining changes

Available diffs

Superseded in intrepid-release on 2008-06-12
Obsolete in hardy-release on 2015-04-24
exiv2 (0.16-3ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change:
   - Added conflicts and replaces of libexiv2c2a, libexiv2-0.12,
     libexiv2-0 on libexiv2-2 so that digikam does not get held back on
     upgrades.

 -- Jonathan Riddell <email address hidden>   Tue, 12 Feb 2008 13:50:03 +0000
Superseded in hardy-release on 2008-02-12
Obsolete in gutsy-release on 2011-09-16
exiv2 (0.15-1ubuntu2) gutsy; urgency=low

  * Added conflicts and replaces of libexiv2c2a, libexiv2-0.12 on libexiv2-0
    so that digikam does not get held back on upgrades.
  * Fixes upgrade path for dapper --> gutsy and feisty --> gutsy

 -- Sarah Hobbs <email address hidden>   Thu, 04 Oct 2007 18:56:24 +1000
Superseded in gutsy-release on 2007-10-04
exiv2 (0.15-1ubuntu1) gutsy; urgency=low

  * Fix build failures with g++-4.3.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <email address hidden>   Mon, 10 Sep 2007 11:50:39 +0200
Superseded in gutsy-release on 2007-09-10
exiv2 (0.15-1) unstable; urgency=low

  * New upstream release
    - maintenance release, support for Minolta G500 RAW files

 -- Sarah Hobbs <email address hidden>   Mon,  30 Jul 2007 08:43:59 +0100
Superseded in gutsy-release on 2007-07-30
exiv2 (0.14-2) unstable; urgency=medium

  * DebConf7 release :-)
  * Urgency medium as this fixes a number of crashes in digikam et al
  * Pull in upstream fixes for jpeg/tiff MSC makernote crashes
    (rev 1106/1124)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  20 Jun 2007 08:33:28 +0100
Superseded in gutsy-release on 2007-06-20
exiv2 (0.14-1) unstable; urgency=low

  * new upstream release (Closes: #414372)

  [ Achim Bohnet ]
  * 0.14 changed API: rename libexiv2-0.12 to libexiv2-0 accordingly.
  * libexiv2-dev: exiv2 has no exiv2-config script anymore.
  * debian/control:
    + Etch does not have a libexiv2 package.  So remove Replaces/Conflict.
    + libexiv2-dev: No need to depend on ${shlibs:Depends}, ${misc:Depends}
  * debian/exiv2.1 removed: included upstream.
  * debian/libexiv2-0: install message catalogs

  [ Mark Purcell ]
  * FTBFS with GCC 4.3: missing #includes (Closes: #417176)
  * Build-Depends: doxygen, graphviz, python, xsltproc
  * Reinstate libexiv2-doc, better to build with doxygen than other tarball
  * Add build/libexiv2-doc:: to debian/rules
  * Rework debian/libexiv2-dev.install
  * Rework debian/libexiv2-doc.docs
  * Rework debian/libexiv2-0.install

Obsolete in edgy-backports on 2008-06-19
exiv2 (0.12-0ubuntu2~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in gutsy-release on 2007-05-29
Obsolete in feisty-release on 2009-08-20
Superseded in feisty-release on 2006-12-13
Superseded in feisty-release on 2006-12-13
exiv2 (0.12-0ubuntu2) feisty; urgency=low

  * Changed debian/rules to add pkgconfig/exiv2.pc
    to libexiv2-dev

 -- Anthony Mercatante <email address hidden>   Thu,  7 Dec 2006 21:57:20 +0100
Superseded in feisty-release on 2006-12-07
exiv2 (0.12-0ubuntu1) feisty; urgency=low

  * New upstream release

 -- Anthony Mercatante <email address hidden>   Thu,  7 Dec 2006 18:40:10 +0100
Superseded in feisty-release on 2006-12-07
Obsolete in edgy-release on 2008-06-19
exiv2 (0.10-1.3ubuntu1) edgy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes are:
    - -dev should have .so and depends on the library
      (Closes Ubuntu: #32905).

Superseded in edgy-release on 2006-09-24
exiv2 (0.10-1.2ubuntu1) edgy; urgency=low

  * Merge from Debian unstable. Ubuntu changes are as follows:
    - -dev should have .so and depends on the library
      (Closes Ubuntu: #32905).

Superseded in edgy-release on 2006-09-18
exiv2 (0.10-1ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

Superseded in edgy-release on 2006-06-29
Obsolete in dapper-release on 2011-09-06
exiv2 (0.7-9.1ubuntu1) dapper; urgency=low

  * -dev should have .so and depends on the library. Fix malone 32905

 -- Hubert Figuiere <email address hidden>   Sat, 25 Feb 2006 22:17:43 -0500
Superseded in dapper-release on 2006-02-26
Superseded in dapper-release on 2006-02-03
exiv2 (0.7-9.1) unstable; urgency=medium


  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Change package name from libexiv2 to libexiv2c2a for the C++ mt allocator
    ABI change, and conflict/replace libexiv2 accordingly.  Closes: #339163.
  * Remove unnecessary libexiv2.{postinst,postrm} scripts, as they don't do
    anything that debhelper doesn't already do for us.

 -- Steve Langasek <email address hidden>  Tue, 29 Nov 2005 03:57:53 -0800
157 of 57 results